# Contact Form

## GET /partners/contact-form

> Get a contact form by ID

```json
{"openapi":"3.0.0","info":{"title":"Partners","version":"1.0.0"},"servers":[{"url":"https://api.fullwhere.com"}],"paths":{"/partners/contact-form":{"get":{"operationId":"PartnersContactFormController_getContactForm","parameters":[{"name":"id","required":true,"in":"query","description":"The UUID of the contact form to retrieve","schema":{"type":"string"}},{"name":"X-API-KEY","in":"header","description":"Partner API Key","required":true,"schema":{"type":"string"}},{"name":"X-API-SECRET","in":"header","description":"Partner API Secret","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The contact form has been successfully retrieved.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerContactForm"}}}},"400":{"description":"Invalid input format."},"401":{"description":"Unauthorized"},"404":{"description":"Contact Form not found."}},"summary":"Get a contact form by ID","tags":["Contact Form"]}}},"components":{"schemas":{"PartnerContactForm":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"name":{"type":"string","description":"Internal form name."},"description":{"type":"string","nullable":true,"description":"Internal form description.","default":null},"language":{"description":"Language in which the form is written.\nThis language is used to determine the source language for machine translation.","allOf":[{"$ref":"#/components/schemas/FullwhereLanguage"}]},"enabled":{"type":"boolean","description":"Determines if the form is enabled."},"autoTranslate":{"type":"boolean","description":"Whether to automatically translate the form."},"generalStyle":{"description":"Determines the general style of the form.","allOf":[{"$ref":"#/components/schemas/FormGeneralStyleEmbeddable"}]},"header":{"description":"Form header embeddable.","allOf":[{"$ref":"#/components/schemas/FormHeaderEmbeddable"}]},"body":{"description":"Form body embeddable.","allOf":[{"$ref":"#/components/schemas/FormBodyEmbeddable"}]},"footer":{"description":"Form footer embeddable.","allOf":[{"$ref":"#/components/schemas/FormFooterEmbeddable"}]},"externalLink":{"description":"Form external link embeddable.","allOf":[{"$ref":"#/components/schemas/FormExternalLinkEmbeddable"}]},"submission":{"description":"Form submission embeddable.","allOf":[{"$ref":"#/components/schemas/FormSubmissionEmbeddable"}]},"logo":{"nullable":true,"description":"Form header logo.","default":null,"allOf":[{"$ref":"#/components/schemas/PartnerPublicFile"}]},"footerLogo":{"nullable":true,"description":"Form footer logo.","default":null,"allOf":[{"$ref":"#/components/schemas/PartnerPublicFile"}]},"cover":{"nullable":true,"description":"Form cover image.","default":null,"allOf":[{"$ref":"#/components/schemas/PartnerPublicFile"}]},"submissionImage":{"nullable":true,"description":"Form submission image.","default":null,"allOf":[{"$ref":"#/components/schemas/PartnerPublicFile"}]},"submissionCount":{"type":"number","description":"Number of submissions recorded for this form."},"fields":{"description":"List of contact form fields","type":"array","items":{"$ref":"#/components/schemas/PartnerContactFormField"}},"fieldGroups":{"description":"List of contact form field groups","type":"array","items":{"$ref":"#/components/schemas/PartnerContactFormFieldGroup"}},"fieldDependencies":{"description":"List of contact form field dependencies","type":"array","items":{"$ref":"#/components/schemas/PartnerContactFormFieldDependency"}},"brandId":{"type":"string","description":"Brand ID targeted by the contact form"},"brandName":{"type":"string","description":"Brand name targeted by the contact form"}},"required":["id","createdAt","updatedAt","name","description","language","enabled","autoTranslate","generalStyle","header","body","footer","externalLink","submission","logo","footerLogo","cover","submissionImage","submissionCount","fields","fieldGroups","fieldDependencies","brandId","brandName"]},"FullwhereLanguage":{"type":"string","enum":["af","sq","am","ar","hy","as","az","ba","eu","be","bn","bs","br","bg","my","ca","ceb","ny","zh","zh-TW","co","hr","cs","da","dv","nl","en","eo","et","fo","tl","fi","fr","fy","gl","ka","de","el","kl","gu","ht","ha","haw","he","hi","hmn","hu","is","ig","ilo","id","iu","ga","it","ja","jv","kn","kk","km","rw","ko","ku","ky","lo","la","lv","lt","lb","mk","mg","ms","ml","mt","mi","mr","arn","mn","moh","ne","no","oc","or","ps","fa","pl","pt","pa","qu","ro","ru","sm","gd","sr","st","sn","sd","si","sk","sl","so","es","su","sw","sv","tg","ta","tt","te","th","bo","tr","tk","uk","ur","ug","uz","vi","cy","xh","yi","yo","zu"],"description":"Language used to generate review responses"},"FormGeneralStyleEmbeddable":{"type":"object","properties":{"fieldRadius":{"description":"The border radius style for input fields.","allOf":[{"$ref":"#/components/schemas/FormFieldRadiusStyle"}]},"buttonRadius":{"description":"The border radius style for the button.","allOf":[{"$ref":"#/components/schemas/FormFieldRadiusStyle"}]},"font":{"description":"The font settings for the form.","allOf":[{"$ref":"#/components/schemas/FontEmbeddable"}]},"titleColor":{"type":"string","description":"The color of the form title text."},"subtitleColor":{"type":"string","description":"The color of the form subtitle text."},"groupColor":{"type":"string","description":"The color used for group headers or sections."},"textColor":{"type":"string","description":"The main text color for the form."},"accentColor":{"type":"string","description":"The accent color used for highlights or important elements."},"dividerColor":{"type":"string","description":"The color of dividers between sections or fields."},"backgroundColor":{"type":"string","description":"The background color of the form."},"labelColor":{"type":"string","description":"The color of input field labels."},"placeholderColor":{"type":"string","description":"The color of input field placeholder text."},"fieldBackgroundColor":{"type":"string","description":"The background color of input fields."},"fieldBorderColor":{"type":"string","description":"The border color of input fields."},"buttonTextColor":{"type":"string","description":"The color of the button text."},"buttonBackgroundColor":{"type":"string","description":"The background color of the button."},"buttonBorderColor":{"type":"string","description":"The border color of the button."},"logoPosition":{"type":"number","description":"The position of the logo image in the form."},"coverImagePosition":{"type":"number","description":"The position of the cover image in the form."},"submissionImagePosition":{"type":"number","description":"The position of the submission image in the form."},"fieldOptionColor":{"type":"string","description":"The color of the field options."}},"required":["fieldRadius","buttonRadius","font","titleColor","subtitleColor","groupColor","textColor","accentColor","dividerColor","backgroundColor","labelColor","placeholderColor","fieldBackgroundColor","fieldBorderColor","buttonTextColor","buttonBackgroundColor","buttonBorderColor","logoPosition","coverImagePosition","submissionImagePosition","fieldOptionColor"]},"FormFieldRadiusStyle":{"type":"string","enum":["SHARP","ROUNDED","PILL"],"description":"The border radius style for input fields."},"FontEmbeddable":{"type":"object","properties":{"name":{"type":"string","description":"The name of the font"},"url":{"type":"string","description":"The URL of the font"}},"required":["name","url"]},"FormHeaderEmbeddable":{"type":"object","properties":{"title":{"type":"string","description":"The title of the form."},"subtitle":{"type":"string","nullable":true,"description":"The subtitle of the form.","default":null}},"required":["title","subtitle"]},"FormBodyEmbeddable":{"type":"object","properties":{"buttonText":{"type":"string","description":"The text displayed on the form's submit button."}},"required":["buttonText"]},"FormFooterEmbeddable":{"type":"object","properties":{"display":{"type":"boolean","description":"Whether to display the footer."},"displayLogo":{"type":"boolean","description":"Whether to display the logo in the footer."},"backgroundColor":{"type":"string","description":"The background color of the footer."},"title":{"type":"string","nullable":true,"description":"The title text displayed in the footer.","default":null},"text":{"type":"string","nullable":true,"description":"The main text content of the footer.","default":null},"textColor":{"type":"string","description":"The color of the text in the footer."},"iconColor":{"type":"string","description":"The color of the icon in the footer, if any."},"imagePosition":{"type":"number","description":"The position of the image in the footer."}},"required":["display","displayLogo","backgroundColor","title","text","textColor","iconColor","imagePosition"]},"FormExternalLinkEmbeddable":{"type":"object","properties":{"website":{"type":"string","nullable":true,"description":"The website URL associated with the form.","default":null},"twitter":{"type":"string","nullable":true,"description":"The Twitter profile URL associated with the form.","default":null},"facebook":{"type":"string","nullable":true,"description":"The Facebook profile URL associated with the form.","default":null},"instagram":{"type":"string","nullable":true,"description":"The Instagram profile URL associated with the form.","default":null},"linkedin":{"type":"string","nullable":true,"description":"The LinkedIn profile URL associated with the form.","default":null}},"required":["website","twitter","facebook","instagram","linkedin"]},"FormSubmissionEmbeddable":{"type":"object","properties":{"title":{"type":"string","description":"The title of the submission."},"subtitle":{"type":"string","description":"The subtitle of the submission."},"titleColor":{"type":"string","description":"The color of the title of the submission."},"subtitleColor":{"type":"string","description":"The color of the subtitle of the submission."}},"required":["title","subtitle","titleColor","subtitleColor"]},"PartnerPublicFile":{"type":"object","properties":{"contentType":{"type":"string","description":"MIME type of the file"},"url":{"type":"string","description":"URL to access the file"},"size":{"type":"string","nullable":true,"description":"Size of the file in bytes","default":null},"width":{"type":"number","nullable":true,"description":"Width of the file (if applicable, e.g., for images)","default":null},"height":{"type":"string","nullable":true,"description":"Height of the file (if applicable, e.g., for images)","default":null}},"required":["contentType","url","size","width","height"]},"PartnerContactFormField":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"dependencies":{"description":"The field dependencies IDs where this field is dependent on other fields","type":"array","items":{"type":"string"}},"dependencyOf":{"description":"The field dependencies ID where this field is a dependency","type":"array","items":{"type":"string"}},"group":{"type":"string","nullable":true,"description":"The group ID of the field, if any","default":null},"required":{"type":"boolean","description":"Determines if this field is required on submission"},"label":{"type":"string","description":"The label of the field"},"placeholder":{"type":"string","nullable":true,"description":"The placeholder text for the field","default":null},"verticalIndex":{"type":"number","description":"The vertical position index of the field"},"horizontalIndex":{"type":"number","description":"The horizontal position index of the field"},"values":{"nullable":true,"description":"Possible values of the form field.\nOnly used with dropdowns, radio and checkboxes.","default":null,"type":"array","items":{"type":"string"}},"allowCustomValue":{"type":"boolean","description":"Determines if the field allows other values.\nOnly used with dropdowns, radio and checkboxes."},"allowMinReplies":{"type":"boolean","description":"Determines if the field allows to set a minimum number of possible answers.\nApplies only to dropdowns, checkboxes and radios"},"minReplies":{"type":"number","description":"Determines the minimum number of possible answers.\nApplies only to dropdowns, checkboxes and radios if allowMinReplies is true"},"allowMaxReplies":{"type":"boolean","description":"Determines if the field allows to set a maximum number of possible answers.\nApplies only to dropdowns, checkboxes and radios"},"maxReplies":{"type":"number","description":"Determines the maximum number of possible answers.\nApplies only to dropdowns, checkboxes and radios if allowMaxReplies is true"},"operator":{"description":"The operator to use for the dependency values","allOf":[{"$ref":"#/components/schemas/FormFieldLogicalOperator"}]},"type":{"description":"Contact form field type","allOf":[{"$ref":"#/components/schemas/ContactFormFieldType"}]}},"required":["id","createdAt","updatedAt","dependencies","dependencyOf","group","required","label","placeholder","verticalIndex","horizontalIndex","values","allowCustomValue","allowMinReplies","minReplies","allowMaxReplies","maxReplies","operator","type"]},"FormFieldLogicalOperator":{"type":"string","enum":["$and","$or"],"description":"The operator to use for the dependency values"},"ContactFormFieldType":{"type":"string","enum":["TEXT","DROPDOWN","RADIO","CHECKBOX","FILES","DATE","STORE","FIRSTNAME","LASTNAME","CIVILITY","EMAIL","PHONE","PURCHASE","MAIN"],"description":"Contact form field type"},"PartnerContactFormFieldGroup":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"name":{"type":"string","description":"Group name."},"verticalIndex":{"type":"number","description":"The vertical position index of the group"}},"required":["id","createdAt","updatedAt","name","verticalIndex"]},"PartnerContactFormFieldDependency":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"field":{"type":"string","description":"The field id that depends on another field"},"dependsOnField":{"type":"string","description":"The field id that this field depends on"},"operator":{"description":"The operator to use for the dependency values","allOf":[{"$ref":"#/components/schemas/FormFieldLogicalOperator"}]},"dependsOnFieldValues":{"description":"If the field is dependent, lists the values of the necessary fields.","type":"array","items":{"$ref":"#/components/schemas/FormDependencyValuesEmbeddable"}}},"required":["id","createdAt","updatedAt","field","dependsOnField","operator","dependsOnFieldValues"]},"FormDependencyValuesEmbeddable":{"type":"object","properties":{"operator":{"description":"The operator to use for the dependency values","allOf":[{"$ref":"#/components/schemas/FormFieldComparisonOperator"}]},"value":{"type":"string","description":"The values to use for the dependency"}},"required":["operator","value"]},"FormFieldComparisonOperator":{"type":"string","enum":["$eq","$ne","$gt","$gte","$lt","$lte"],"description":"The operator to use for the dependency values"}}}}
```

## POST /partners/contact-form/list

> List contact forms

```json
{"openapi":"3.0.0","info":{"title":"Partners","version":"1.0.0"},"servers":[{"url":"https://api.fullwhere.com"}],"paths":{"/partners/contact-form/list":{"post":{"operationId":"PartnersContactFormController_listContactForms","parameters":[{"name":"X-API-KEY","in":"header","description":"Partner API Key","required":true,"schema":{"type":"string"}},{"name":"X-API-SECRET","in":"header","description":"Partner API Secret","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerContactFormListingParamsDto"}}}},"responses":{"201":{"description":"The contact forms have been successfully listed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerContactFormListingOutput"}}}},"400":{"description":"Invalid input format."},"401":{"description":"Unauthorized"}},"summary":"List contact forms","tags":["Contact Form"]}}},"components":{"schemas":{"PartnerContactFormListingParamsDto":{"type":"object","properties":{"limit":{"type":"number","description":"Pagination limit","default":10,"minimum":1,"maximum":100},"page":{"type":"number","description":"Page to retrieve","default":1,"minimum":1}}},"PartnerContactFormListingOutput":{"type":"object","properties":{"items":{"description":"List of contact forms","type":"array","items":{"$ref":"#/components/schemas/PartnerContactForm"}},"meta":{"description":"Listing metadata","allOf":[{"$ref":"#/components/schemas/PartnerListingOutputMeta"}]}},"required":["items","meta"]},"PartnerContactForm":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"name":{"type":"string","description":"Internal form name."},"description":{"type":"string","nullable":true,"description":"Internal form description.","default":null},"language":{"description":"Language in which the form is written.\nThis language is used to determine the source language for machine translation.","allOf":[{"$ref":"#/components/schemas/FullwhereLanguage"}]},"enabled":{"type":"boolean","description":"Determines if the form is enabled."},"autoTranslate":{"type":"boolean","description":"Whether to automatically translate the form."},"generalStyle":{"description":"Determines the general style of the form.","allOf":[{"$ref":"#/components/schemas/FormGeneralStyleEmbeddable"}]},"header":{"description":"Form header embeddable.","allOf":[{"$ref":"#/components/schemas/FormHeaderEmbeddable"}]},"body":{"description":"Form body embeddable.","allOf":[{"$ref":"#/components/schemas/FormBodyEmbeddable"}]},"footer":{"description":"Form footer embeddable.","allOf":[{"$ref":"#/components/schemas/FormFooterEmbeddable"}]},"externalLink":{"description":"Form external link embeddable.","allOf":[{"$ref":"#/components/schemas/FormExternalLinkEmbeddable"}]},"submission":{"description":"Form submission embeddable.","allOf":[{"$ref":"#/components/schemas/FormSubmissionEmbeddable"}]},"logo":{"nullable":true,"description":"Form header logo.","default":null,"allOf":[{"$ref":"#/components/schemas/PartnerPublicFile"}]},"footerLogo":{"nullable":true,"description":"Form footer logo.","default":null,"allOf":[{"$ref":"#/components/schemas/PartnerPublicFile"}]},"cover":{"nullable":true,"description":"Form cover image.","default":null,"allOf":[{"$ref":"#/components/schemas/PartnerPublicFile"}]},"submissionImage":{"nullable":true,"description":"Form submission image.","default":null,"allOf":[{"$ref":"#/components/schemas/PartnerPublicFile"}]},"submissionCount":{"type":"number","description":"Number of submissions recorded for this form."},"fields":{"description":"List of contact form fields","type":"array","items":{"$ref":"#/components/schemas/PartnerContactFormField"}},"fieldGroups":{"description":"List of contact form field groups","type":"array","items":{"$ref":"#/components/schemas/PartnerContactFormFieldGroup"}},"fieldDependencies":{"description":"List of contact form field dependencies","type":"array","items":{"$ref":"#/components/schemas/PartnerContactFormFieldDependency"}},"brandId":{"type":"string","description":"Brand ID targeted by the contact form"},"brandName":{"type":"string","description":"Brand name targeted by the contact form"}},"required":["id","createdAt","updatedAt","name","description","language","enabled","autoTranslate","generalStyle","header","body","footer","externalLink","submission","logo","footerLogo","cover","submissionImage","submissionCount","fields","fieldGroups","fieldDependencies","brandId","brandName"]},"FullwhereLanguage":{"type":"string","enum":["af","sq","am","ar","hy","as","az","ba","eu","be","bn","bs","br","bg","my","ca","ceb","ny","zh","zh-TW","co","hr","cs","da","dv","nl","en","eo","et","fo","tl","fi","fr","fy","gl","ka","de","el","kl","gu","ht","ha","haw","he","hi","hmn","hu","is","ig","ilo","id","iu","ga","it","ja","jv","kn","kk","km","rw","ko","ku","ky","lo","la","lv","lt","lb","mk","mg","ms","ml","mt","mi","mr","arn","mn","moh","ne","no","oc","or","ps","fa","pl","pt","pa","qu","ro","ru","sm","gd","sr","st","sn","sd","si","sk","sl","so","es","su","sw","sv","tg","ta","tt","te","th","bo","tr","tk","uk","ur","ug","uz","vi","cy","xh","yi","yo","zu"],"description":"Language used to generate review responses"},"FormGeneralStyleEmbeddable":{"type":"object","properties":{"fieldRadius":{"description":"The border radius style for input fields.","allOf":[{"$ref":"#/components/schemas/FormFieldRadiusStyle"}]},"buttonRadius":{"description":"The border radius style for the button.","allOf":[{"$ref":"#/components/schemas/FormFieldRadiusStyle"}]},"font":{"description":"The font settings for the form.","allOf":[{"$ref":"#/components/schemas/FontEmbeddable"}]},"titleColor":{"type":"string","description":"The color of the form title text."},"subtitleColor":{"type":"string","description":"The color of the form subtitle text."},"groupColor":{"type":"string","description":"The color used for group headers or sections."},"textColor":{"type":"string","description":"The main text color for the form."},"accentColor":{"type":"string","description":"The accent color used for highlights or important elements."},"dividerColor":{"type":"string","description":"The color of dividers between sections or fields."},"backgroundColor":{"type":"string","description":"The background color of the form."},"labelColor":{"type":"string","description":"The color of input field labels."},"placeholderColor":{"type":"string","description":"The color of input field placeholder text."},"fieldBackgroundColor":{"type":"string","description":"The background color of input fields."},"fieldBorderColor":{"type":"string","description":"The border color of input fields."},"buttonTextColor":{"type":"string","description":"The color of the button text."},"buttonBackgroundColor":{"type":"string","description":"The background color of the button."},"buttonBorderColor":{"type":"string","description":"The border color of the button."},"logoPosition":{"type":"number","description":"The position of the logo image in the form."},"coverImagePosition":{"type":"number","description":"The position of the cover image in the form."},"submissionImagePosition":{"type":"number","description":"The position of the submission image in the form."},"fieldOptionColor":{"type":"string","description":"The color of the field options."}},"required":["fieldRadius","buttonRadius","font","titleColor","subtitleColor","groupColor","textColor","accentColor","dividerColor","backgroundColor","labelColor","placeholderColor","fieldBackgroundColor","fieldBorderColor","buttonTextColor","buttonBackgroundColor","buttonBorderColor","logoPosition","coverImagePosition","submissionImagePosition","fieldOptionColor"]},"FormFieldRadiusStyle":{"type":"string","enum":["SHARP","ROUNDED","PILL"],"description":"The border radius style for input fields."},"FontEmbeddable":{"type":"object","properties":{"name":{"type":"string","description":"The name of the font"},"url":{"type":"string","description":"The URL of the font"}},"required":["name","url"]},"FormHeaderEmbeddable":{"type":"object","properties":{"title":{"type":"string","description":"The title of the form."},"subtitle":{"type":"string","nullable":true,"description":"The subtitle of the form.","default":null}},"required":["title","subtitle"]},"FormBodyEmbeddable":{"type":"object","properties":{"buttonText":{"type":"string","description":"The text displayed on the form's submit button."}},"required":["buttonText"]},"FormFooterEmbeddable":{"type":"object","properties":{"display":{"type":"boolean","description":"Whether to display the footer."},"displayLogo":{"type":"boolean","description":"Whether to display the logo in the footer."},"backgroundColor":{"type":"string","description":"The background color of the footer."},"title":{"type":"string","nullable":true,"description":"The title text displayed in the footer.","default":null},"text":{"type":"string","nullable":true,"description":"The main text content of the footer.","default":null},"textColor":{"type":"string","description":"The color of the text in the footer."},"iconColor":{"type":"string","description":"The color of the icon in the footer, if any."},"imagePosition":{"type":"number","description":"The position of the image in the footer."}},"required":["display","displayLogo","backgroundColor","title","text","textColor","iconColor","imagePosition"]},"FormExternalLinkEmbeddable":{"type":"object","properties":{"website":{"type":"string","nullable":true,"description":"The website URL associated with the form.","default":null},"twitter":{"type":"string","nullable":true,"description":"The Twitter profile URL associated with the form.","default":null},"facebook":{"type":"string","nullable":true,"description":"The Facebook profile URL associated with the form.","default":null},"instagram":{"type":"string","nullable":true,"description":"The Instagram profile URL associated with the form.","default":null},"linkedin":{"type":"string","nullable":true,"description":"The LinkedIn profile URL associated with the form.","default":null}},"required":["website","twitter","facebook","instagram","linkedin"]},"FormSubmissionEmbeddable":{"type":"object","properties":{"title":{"type":"string","description":"The title of the submission."},"subtitle":{"type":"string","description":"The subtitle of the submission."},"titleColor":{"type":"string","description":"The color of the title of the submission."},"subtitleColor":{"type":"string","description":"The color of the subtitle of the submission."}},"required":["title","subtitle","titleColor","subtitleColor"]},"PartnerPublicFile":{"type":"object","properties":{"contentType":{"type":"string","description":"MIME type of the file"},"url":{"type":"string","description":"URL to access the file"},"size":{"type":"string","nullable":true,"description":"Size of the file in bytes","default":null},"width":{"type":"number","nullable":true,"description":"Width of the file (if applicable, e.g., for images)","default":null},"height":{"type":"string","nullable":true,"description":"Height of the file (if applicable, e.g., for images)","default":null}},"required":["contentType","url","size","width","height"]},"PartnerContactFormField":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"dependencies":{"description":"The field dependencies IDs where this field is dependent on other fields","type":"array","items":{"type":"string"}},"dependencyOf":{"description":"The field dependencies ID where this field is a dependency","type":"array","items":{"type":"string"}},"group":{"type":"string","nullable":true,"description":"The group ID of the field, if any","default":null},"required":{"type":"boolean","description":"Determines if this field is required on submission"},"label":{"type":"string","description":"The label of the field"},"placeholder":{"type":"string","nullable":true,"description":"The placeholder text for the field","default":null},"verticalIndex":{"type":"number","description":"The vertical position index of the field"},"horizontalIndex":{"type":"number","description":"The horizontal position index of the field"},"values":{"nullable":true,"description":"Possible values of the form field.\nOnly used with dropdowns, radio and checkboxes.","default":null,"type":"array","items":{"type":"string"}},"allowCustomValue":{"type":"boolean","description":"Determines if the field allows other values.\nOnly used with dropdowns, radio and checkboxes."},"allowMinReplies":{"type":"boolean","description":"Determines if the field allows to set a minimum number of possible answers.\nApplies only to dropdowns, checkboxes and radios"},"minReplies":{"type":"number","description":"Determines the minimum number of possible answers.\nApplies only to dropdowns, checkboxes and radios if allowMinReplies is true"},"allowMaxReplies":{"type":"boolean","description":"Determines if the field allows to set a maximum number of possible answers.\nApplies only to dropdowns, checkboxes and radios"},"maxReplies":{"type":"number","description":"Determines the maximum number of possible answers.\nApplies only to dropdowns, checkboxes and radios if allowMaxReplies is true"},"operator":{"description":"The operator to use for the dependency values","allOf":[{"$ref":"#/components/schemas/FormFieldLogicalOperator"}]},"type":{"description":"Contact form field type","allOf":[{"$ref":"#/components/schemas/ContactFormFieldType"}]}},"required":["id","createdAt","updatedAt","dependencies","dependencyOf","group","required","label","placeholder","verticalIndex","horizontalIndex","values","allowCustomValue","allowMinReplies","minReplies","allowMaxReplies","maxReplies","operator","type"]},"FormFieldLogicalOperator":{"type":"string","enum":["$and","$or"],"description":"The operator to use for the dependency values"},"ContactFormFieldType":{"type":"string","enum":["TEXT","DROPDOWN","RADIO","CHECKBOX","FILES","DATE","STORE","FIRSTNAME","LASTNAME","CIVILITY","EMAIL","PHONE","PURCHASE","MAIN"],"description":"Contact form field type"},"PartnerContactFormFieldGroup":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"name":{"type":"string","description":"Group name."},"verticalIndex":{"type":"number","description":"The vertical position index of the group"}},"required":["id","createdAt","updatedAt","name","verticalIndex"]},"PartnerContactFormFieldDependency":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"field":{"type":"string","description":"The field id that depends on another field"},"dependsOnField":{"type":"string","description":"The field id that this field depends on"},"operator":{"description":"The operator to use for the dependency values","allOf":[{"$ref":"#/components/schemas/FormFieldLogicalOperator"}]},"dependsOnFieldValues":{"description":"If the field is dependent, lists the values of the necessary fields.","type":"array","items":{"$ref":"#/components/schemas/FormDependencyValuesEmbeddable"}}},"required":["id","createdAt","updatedAt","field","dependsOnField","operator","dependsOnFieldValues"]},"FormDependencyValuesEmbeddable":{"type":"object","properties":{"operator":{"description":"The operator to use for the dependency values","allOf":[{"$ref":"#/components/schemas/FormFieldComparisonOperator"}]},"value":{"type":"string","description":"The values to use for the dependency"}},"required":["operator","value"]},"FormFieldComparisonOperator":{"type":"string","enum":["$eq","$ne","$gt","$gte","$lt","$lte"],"description":"The operator to use for the dependency values"},"PartnerListingOutputMeta":{"type":"object","properties":{"itemCount":{"type":"number","description":"Total number of items for the given page."},"totalItems":{"type":"number","description":"Total number of items."},"itemsPerPage":{"type":"number","description":"Number of items per page."},"totalPages":{"type":"number","description":"Total number of pages."},"currentPage":{"type":"number","description":"Current page number."}},"required":["itemCount","totalItems","itemsPerPage","totalPages","currentPage"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fullwhere.com/developer/api-references/contact-form.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
